module Spinner
  Charset = {
    arrow:      {"←", "↖", "↑", "↗", "→", "↘", "↓", "↙"},
    arrow2:     {">>--->    ", " >>--->   ", "  >>--->  ", "   >>---> ", "    >>--->", "    <---<<", "   <---<< ", "  <---<<  ", " <---<<   ", "<---<<    "},
    fan:        {"┤", "┘", "┴", "└", "├", "┌", "┬", "┐"},
    fan1:       {"+", "x"},
    fan2:       {"v", "<", "^", ">"},
    triangle:   {"◢", "◣", "◤", "◥"},
    square:     {"◰", "◳", "◲", "◱"},
    circle:     {"◴", "◷", "◶", "◵"},
    big_circle: {"◐", "◓", "◑", "◒"},
    boom:       {".", "o", "O", "@", "*"},
    pipe:       {"|", "/", "-", "\\"},
    alphabet:   {"a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z"},
    matrix:     {"ｦ", "ｧ", "ｨ", "ｩ", "ｪ", "ｫ", "ｬ", "ｭ", "ｮ", "ｯ", "ｱ", "ｲ", "ｳ", "ｴ", "ｵ", "ｶ", "ｷ", "ｸ", "ｹ", "ｺ", "ｻ", "ｼ", "ｽ", "ｾ", "ｿ", "ﾀ", "ﾁ", "ﾂ", "ﾃ", "ﾄ", "ﾅ", "ﾆ", "ﾇ", "ﾈ", "ﾉ", "ﾊ", "ﾋ", "ﾌ", "ﾍ", "ﾎ", "ﾏ", "ﾐ", "ﾑ", "ﾒ", "ﾓ", "ﾔ", "ﾕ", "ﾖ", "ﾗ", "ﾘ", "ﾙ", "ﾚ", "ﾛ", "ﾜ", "ﾝ"},
    three_dots: {".  ", ".. ", "..."},
    eyes:       {"◡◡", "⊙⊙", "◠◠"},
    dots:       {"⠁", "⠂", "⠄", "⡀", "⢀", "⠠", "⠐", "⠈"},
    snake:      {"⣾", "⣽", "⣻", "⢿", "⡿", "⣟", "⣯", "⣷"},
    snake1:     {"⠋", "⠙", "⠹", "⠸", "⠼", "⠴", "⠦", "⠧", "⠇", "⠏"},
    snake2:     {"⠋", "⠙", "⠚", "⠒", "⠂", "⠂", "⠒", "⠲", "⠴", "⠦", "⠖", "⠒", "⠐", "⠐", "⠒", "⠓", "⠋"},
    square1:    {"■", "□", "▪", "▫"},
    square2:    {"▖", "▘", "▝", "▗"},
    square3:    {"▁", "▃", "▄", "▅", "▆", "▇", "█", "▇", "▆", "▅", "▄", "▃", "▁"},
    square4:    {"▉", "▊", "▋", "▌", "▍", "▎", "▏", "▎", "▍", "▌", "▋", "▊", "▉"},
    square5:    {"▁", "▂", "▃", "▄", "▅", "▆", "▇", "█", "▉", "▊", "▋", "▌", "▍", "▎", "▏", "▏", "▎", "▍", "▌", "▋", "▊", "▉", "█", "▇", "▆", "▅", "▄", "▃", "▂", "▁"},
    thin_arrow: {"←", "↑", "→", "↓"},
    big_arrow:  {"⇐", "⇖", "⇑", "⇗", "⇒", "⇘", "⇓", "⇙"},
    balloon:    {".", "o", "O", "°", "O", "o", "."},
    progress:   {"[          ]", "[=         ]", "[==        ]", "[===       ]", "[====      ]", "[=====     ]", "[======    ]", "[=======   ]", "[========  ]", "[========= ]", "[==========]"},
    progress1:  {"(*---------)", "(-*--------)", "(--*-------)", "(---*------)", "(----*-----)", "(-----*----)", "(------*---)", "(-------*--)", "(--------*-)", "(---------*)"},
    progress2:  {"█▒▒▒▒▒▒▒▒▒", "███▒▒▒▒▒▒▒", "█████▒▒▒▒▒", "███████▒▒▒", "██████████"},
    progress3:  {"[                    ]", "[=>                  ]", "[===>                ]", "[=====>              ]", "[======>             ]", "[========>           ]", "[==========>         ]", "[============>       ]", "[==============>     ]", "[================>   ]", "[==================> ]", "[===================>]"},
    fish:       {">))'>    ", " >))'>   ", "  >))'>  ", "   >))'> ", "    >))'>", "    <'((<", "   <'((< ", "  <'((<  ", " <'((<   ", "<'((<    "},
  }
end
